summaryrefslogtreecommitdiffstats
path: root/abs/extra/shellinabox/shellinaboxd.rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/shellinabox/shellinaboxd.rc.d')
-rw-r--r--abs/extra/shellinabox/shellinaboxd.rc.d38
1 files changed, 38 insertions, 0 deletions
diff --git a/abs/extra/shellinabox/shellinaboxd.rc.d b/abs/extra/shellinabox/shellinaboxd.rc.d
new file mode 100644
index 0000000..3399945
--- /dev/null
+++ b/abs/extra/shellinabox/shellinaboxd.rc.d
@@ -0,0 +1,38 @@
+#!/bin/bash
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+SHELLINABOXD_ARGS=
+[ -f /etc/conf.d/shellinaboxd ] && . /etc/conf.d/shellinaboxd
+
+PID=`pidof -o %PPID /usr/bin/shellinaboxd`
+case "$1" in
+ start)
+ stat_busy "Starting SHELLINABOXD"
+ [ -z "$PID" ] && /usr/bin/shellinaboxd ${SHELLINABOXD_ARGS}
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon shellinaboxd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping SHELLINABOXD"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon shellinboxd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
+